/* libsegl - Sebas Extended GL Library
 *           Collection of Opengl/3D-Math helpers
 *
 *      Copyright (c) 2008 by Sebastian Lohff, seba@seba-geek.de
 *      http://www.seba-geek.de
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 * 
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 */

#ifndef __EMATH_H
#define __EMATH_H

#include <iostream>
#include <cmath>
#include <SDL_opengl.h>

namespace segl {

float deg2rad(float deg);
float rad2deg(float rad);

// *grml* scheiss cmath-sinus
// diese beiden sinusfunktionenrechnen erst deg2rad
// wenn es sich nicht um 0, 90, 180, 270 oder ein vielfaches handelt
float ssin(float);
float scos(float);

} // namespace segl


#endif
