#ifndef __MODELLOADER_H
#define __MODELLOADER_H

#include <string>
#include <fstream>
#include "model.h"

namespace segl {

class Modelloader {
	protected:
		std::string filename;
	public:
		Modelloader(std::string _filename);
		virtual ~Modelloader() { };
		virtual bool load(Model *m)=0;
};

} // namespace segl

#endif
